LayOut C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUOverlayRef Struct Reference

Manages a Overlay object, which is used to blend external images on top of SketchUp rendering. More...

`#include <overlay.h>`

## Related Functions
(Note that these are not member functions.)
enum | SUOverlayBeginFrameInfoVersion : uint32_t
| Available versions for the SUOverlayCreateInfo::version field. More...
enum | SUOverlayDrawFrameInfoVersion : uint32_t
| Available versions for SUOverlayDrawFrameInfo::version. More...
enum | SUOverlayImageFormat : uint8_t
| Supported image formats. More...
enum | SUOverlayImageOrientation : uint8_t
| Supported image orientations. More...
enum | SUOverlayCreateInfoVersion : uint32_t
| Available versions for the SUOverlayCreateInfo::version field. More...
typedef struct SUBoundingBox3D(* | SUOverlayGetExtentsFuncT )(SUOverlayRef, void *)
| Signature for SUOverlayCreateInfo::get_extents callback. More...
typedef void(* | SUOverlayBeginFrameFuncT )(SUOverlayRef, const struct SUBeginFrameInfo *, void *)
| Signature for SUOverlayCreateInfo::begin_frame callback. More...
typedef void(* | SUOverlayDrawFrameFuncT )(SUOverlayRef, struct SUOverlayDrawFrameInfo *, void *)
| Signature for SUOverlayCreateInfo::draw_frame callback. More...
typedef void(* | SUOverlayEndFrameFuncT )(SUOverlayRef, void *)
| Signature for SUOverlayCreateInfo::end_frame callback. More...
typedef void(* | SUOverlayStartFuncT )(SUOverlayRef, void *)
| Signature for SUOverlayCreateInfo::start callback. More...
typedef void(* | SUOverlayStopFuncT )(SUOverlayRef, void *)
| Signature for SUOverlayCreateInfo::stop callback. More...
#define | SUOVERLAY_BEGIN_FRAME_INFO_VERSION (SUOVERLAY_BEGIN_FRAME_INFO_VERSION_1)
| Current version of the SUBeginFrameInfo struct. More...
#define | SUOVERLAY_DRAW_FRAME_INFO_VERSION (SUOVERLAY_DRAW_FRAME_INFO_VERSION_1)
| Current version of SUOverlayDrawFrameInfo struct. More...
#define | SUOVERLAY_CREATE_INFO_VERSION (SUOVERLAY_CREATE_INFO_VERSION_1)
| Current version of the SUOverlayCreateInfo struct. More...
SU_RESULT | SUOverlayEnable (SUOverlayRef overlay, bool enabled)
| Enables or disables an overlay. More...

## Detailed Description

Manages a Overlay object, which is used to blend external images on top of SketchUp rendering.

## Friends And Related Function Documentation

#define SUOVERLAY_BEGIN_FRAME_INFO_VERSION (SUOVERLAY_BEGIN_FRAME_INFO_VERSION_1)
| related

Current version of the SUBeginFrameInfo struct.

#define SUOVERLAY_CREATE_INFO_VERSION (SUOVERLAY_CREATE_INFO_VERSION_1)
| related

Current version of the SUOverlayCreateInfo struct.

#define SUOVERLAY_DRAW_FRAME_INFO_VERSION (SUOVERLAY_DRAW_FRAME_INFO_VERSION_1)
| related

Current version of SUOverlayDrawFrameInfo struct.

typedef void(* SUOverlayBeginFrameFuncT)(SUOverlayRef, const struct SUBeginFrameInfo *, void *)
| related

Signature for SUOverlayCreateInfo::begin_frame callback.

enum SUOverlayBeginFrameInfoVersion : uint32_t
| related

Available versions for the SUOverlayCreateInfo::version field.

enum SUOverlayCreateInfoVersion : uint32_t
| related

Available versions for the SUOverlayCreateInfo::version field.

typedef void(* SUOverlayDrawFrameFuncT)(SUOverlayRef, struct SUOverlayDrawFrameInfo *, void *)
| related

Signature for SUOverlayCreateInfo::draw_frame callback.

enum SUOverlayDrawFrameInfoVersion : uint32_t
| related

Available versions for SUOverlayDrawFrameInfo::version.

SU_RESULT SUOverlayEnable | ( | SUOverlayRef | overlay,
|  | bool | enabled
| ) |  |
| related

Enables or disables an overlay.

Parameters

  [in] | overlay | The overlay object
  [in] | enabled | Whether to enable or disable

Since
  SketchUp 2024, API 12.0

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if overlay is an invalid object

typedef void(* SUOverlayEndFrameFuncT)(SUOverlayRef, void *)
| related

Signature for SUOverlayCreateInfo::end_frame callback.

Attention
  SUOverlayDrawFrameInfo::color and SUOverlayDrawFrameInfo::depth buffers must be valid until the end_frame callback is called.

typedef struct SUBoundingBox3D(* SUOverlayGetExtentsFuncT)(SUOverlayRef, void *)
| related

Signature for SUOverlayCreateInfo::get_extents callback.

enum SUOverlayImageFormat : uint8_t
| related

Supported image formats.

enum SUOverlayImageOrientation : uint8_t
| related

Supported image orientations.

typedef void(* SUOverlayStartFuncT)(SUOverlayRef, void *)
| related

Signature for SUOverlayCreateInfo::start callback.

typedef void(* SUOverlayStopFuncT)(SUOverlayRef, void *)
| related

Signature for SUOverlayCreateInfo::stop callback.

The documentation for this struct was generated from the following file:

- SketchUpAPI/application/overlay.h